summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGordon Malm <gengor@gentoo.org>2009-01-21 08:55:28 +0000
committerGordon Malm <gengor@gentoo.org>2009-01-21 08:55:28 +0000
commit69f760fe52f62d05f79165afcb71b41f45ab819c (patch)
tree34f600126354cd21992aa6b9349642af5ab46d7b
parentMake sure we pull in app-emulation/emul-linux-x86-baselibs for amd64 systems. (diff)
downloadgentoo-2-69f760fe52f62d05f79165afcb71b41f45ab819c.tar.gz
gentoo-2-69f760fe52f62d05f79165afcb71b41f45ab819c.tar.bz2
gentoo-2-69f760fe52f62d05f79165afcb71b41f45ab819c.zip
Append -fno-stack-protector-all to creation of internal qmake, bug 253127
-rw-r--r--eclass/qt4-build.eclass14
1 files changed, 10 insertions, 4 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 35a0c9550a8b..5f9f96d6a7d4 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 2007-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.17 2009/01/12 23:47:16 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.18 2009/01/21 08:55:28 gengor Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -93,6 +93,12 @@ qt4-build_src_unpack() {
symlink_binaries_to_buildtree
fi
+ # Bug 253127
+ if [[ $(gcc-major-version) -lt "4" ]] ; then
+ sed -e "/^QMAKE_CFLAGS\t/ s:$: -fno-stack-protector-all:" \
+ -i "${S}"/mkspecs/common/g++.conf || die "sed ${S}/mkspecs/common/g++.conf failed"
+ fi
+
sed -e "s:QMAKE_CFLAGS_RELEASE.*=.*:QMAKE_CFLAGS_RELEASE=${CFLAGS}:" \
-e "s:QMAKE_CXXFLAGS_RELEASE.*=.*:QMAKE_CXXFLAGS_RELEASE=${CXXFLAGS}:" \
-e "s:QMAKE_LFLAGS_RELEASE.*=.*:QMAKE_LFLAGS_RELEASE=${LDFLAGS}:" \
@@ -111,9 +117,9 @@ qt4-build_src_compile() {
strip-flags
replace-flags -O3 -O2
- if [[ $(gcc-fullversion) == "3.4.6" && gcc-specs-ssp ]] ; then
- ewarn "Appending -fno-stack-protector to CFLAGS/CXXFLAGS"
- append-flags -fno-stack-protector
+ if [[ $(gcc-major-version) -lt "4" ]] ; then
+ ewarn "Appending -fno-stack-protector to CXXFLAGS"
+ append-cxxflags -fno-stack-protector
fi
# Bug 178652